Sales
This section provides the information you need to process a sale transaction.
A sale combines an authorization and a capture into a single transaction.
Supported Processors
- AIBMS
- American Express Direct
- Barclays
- BdF Trésor
- Chase Paymentech Solutions
- Chase Tandem
- China UnionPay
- Cielo
- Comercio Latino
- Credit Mutuel-CIC
- eftpos
- eiBNPP
- Elavon
- Elavon Americas
- FDC Compass
- FDC Nashville Global
- FDI Australia
- FDMS Nashville
- Fiserv RapidConnect
- Getnet
- GPN
- HBOS
- HSBC
- JCN Gateway
- Lloyds-OmniPay
- LloydsTSB Cardnet
- Moneris
- National Payment Gateway
- OmniPay Direct
- Prosa
- Rede
- RuPay HDFC
- SIX
- Streamline
- TSYS Acquiring Solutions
- UATP
- Vero
- Visa Platform Connect
- Worldpay VAP
- Barclays
- TSYS Acquiring Solutions
- GPX
- Chase Paymentech Solutions
- Elavon Americas
- FDC Nashville Global
- Streamline
- Worldpay VAP
Processor-Specific Information
China UnionPay: use the refund service to reverse a sale.
JCN Gateway: a sale combines an authorization and a capture into the same request. Therefore, the maximum amount for a sale is limited to 7 digits (no more than 9,999,999) because the capture amount is limited to 7 digits.
National Payment Gateway: requires payer authentication data in customer-initiated transactions. When the domestic scheme directory server for mada cards is not available and authentication falls back to the global scheme directory server, the authentication brand response field indicates which directory server was used during the authentication process.
: supports all supported card types for sales.
Endpoints
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
POST /pts/v2/payments
Example
Standard Example
{ "processingInformation": { "capture": true }, "orderInformation": { "billTo": { "country": "US", "lastName": "VDP", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "RTS", "email": "[email protected]" }, "amountDetails": { "totalAmount": "100.00", "currency": "usd" } }, "paymentInformation": { "card": { "expirationYear": "2031", "number": "CARD_NUMBER", "expirationMonth": "12", "type": "001" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/6485004068966546103093/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/6485004068966546103093" } }, "clientReferenceInformation": { "code": "RTS-Auth" }, "id": "6485004068966546103093", "orderInformation": { "amountDetails": { "totalAmount": "100.00", "authorizedAmount": "100.00", "currency": "usd" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "processorInformation": { "systemTraceAuditNumber": "841109", "approvalCode": "831000", "merchantAdvice": { "code": "01", "codeRaw": "M001" }, "responseDetails": "ABC", "networkTransactionId": "016153570198200", "retrievalReferenceNumber": "208720841109", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "transactionId": "016153570198200", "responseCode": "00", "avs": { "code": "Y", "codeRaw": "Y" } }, "reconciliationId": "6485004068966546103093", "status": "AUTHORIZED", "submitTimeUtc": "2022-03-28T20:46:47Z"}eftpos Example
{ "clientReferenceInformation": { "code": "Purchase_A61_050", "partner": { "developerId": "eftPOS", "solutionId": "CNP" }, "applicationUser": "eftPOS" }, "processingInformation": { "commerceIndicator": "internet", "capture": "true" }, "orderInformation": { "billTo": { "country": "AU", "lastName": "VDP", "address2": "Address 2", "address1": "123 Collins St", "postalCode": "3000", "locality": "Melbourne", "administrativeArea": "VI", "firstName": "CYBS", "phoneNumber": "3-9657-1234", "district": "VI", "buildingNumber": "123", "company": "Visa", "email": "[email protected]" }, "amountDetails": { "totalAmount": "176", "currency": "aud" } }, "paymentInformation": { "card": { "expirationYear": "2025", "number": "CARD_NUMBER", "expirationMonth": "12", "type": "070", "securityCode": "123" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/7464405393686886803092/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/7464405393686886803092" } }, "clientReferenceInformation": { "code": "Purchase_A61_050", "partner": { "developerId": "eftPOS", "solutionId": "CNP" } }, "id": "7464405393686886803092", "orderInformation": { "amountDetails": { "totalAmount": "176.00", "authorizedAmount": "176.00", "currency": "aud" } }, "paymentAccountInformation": { "card": { "type": "070" } }, "paymentInformation": { "tokenizedCard": { "type": "070" }, "card": { "type": "070" } }, "processorInformation": { "systemTraceAuditNumber": "048393", "cardVerification": { "resultCode": "M" }, "settlementDate": "0505", "retrievalReferenceNumber": "048393221910", "responseCode": "00", "avs": { "code": "2" } }, "reconciliationId": "7464405393686886803092", "status": "AUTHORIZED", "submitTimeUtc": "2025-05-05T10:22:19Z"}China UnionPay Example
{ "processingInformation": { "capture": true, "commerceIndicator": "internet" }, "orderInformation": { "billTo": { "country": "US", "lastName": "VDP", "address1": "201 S. Division St.", "postalCode": "48104-2201", "locality": "Ann Arbor", "administrativeArea": "MI", "firstName": "RTS", "email": "[email protected]" }, "amountDetails": { "totalAmount": "100.00", "currency": "CNY" } }, "paymentInformation": { "card": { "expirationYear": "2025", "number": "62509470XXXXXXXX", "expirationMonth": "12", "type": "062" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/6485004068966546103093/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/6485004068966546103093" } }, "clientReferenceInformation": { "code": "RTS-Auth" }, "id": "6485004068966546103093", "orderInformation": { "amountDetails": { "totalAmount": "100.00", "authorizedAmount": "100.00", "currency": "CNY" } }, "paymentAccountInformation": { "card": { "type": "062" } }, "paymentInformation": { "tokenizedCard": { "type": "062" }, "card": { "type": "062" } }, "processorInformation": { "systemTraceAuditNumber": "841109", "approvalCode": "831000", "merchantAdvice": { "code": "01", "codeRaw": "M001" }, "responseDetails": "ABC", "networkTransactionId": "016153570198200", "retrievalReferenceNumber": "208720841109", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "transactionId": "016153570198200", "responseCode": "00", "avs": { "code": "Y", "codeRaw": "Y" } }, "reconciliationId": "6485004068966546103093", "status": "AUTHORIZED", "submitTimeUtc": "2022-03-28T20:46:47Z"}National Payment Gateway Example
This example includes optional fields.
{ "clientReferenceInformation": { "code": "SPG_REQ_01" }, "consumerAuthenticationInformation": { "cavv": "EHuWW9PiBkWvqE5juRwDzAUFBAk=", "dsReferenceNumber": "dsReferenceNumber-3DS-mada123", "paresStatus": "Y", "acsReferenceNumber": "3DS_LOA_ACS_201_13579", "paSpecificationVersion": "2", "authenticationDate": "20230413121212", "directoryServerTransactionId": "f25084f0-5b16-4c0a-ae5d-b24808a95e4b", "acsTransactionId": "f25084f0-5b16-4c0a-ae5d-b248083334b2" }, "processingInformation": { "commerceIndicator": "mada", "capture": true }, "orderInformation": { "billTo": { "firstName": "Abdullah", "lastName": "Muhammad", "phoneNumber": "01-4844094", "address2": "P.O.Box: 16335", "address1": "Al Dariyah Dist.", "postalCode": "22028", "email": "[email protected]" }, "amountDetails": { "totalAmount": "3001", "currency": "SAR" } }, "merchantInformation": { "categoryCode": 5411, "merchantDescriptor": { "country": "SA", "address1": "API Address", "postalCode": "12987-7318", "locality": "Riyadh", "name": "API Merchant-Name1" } }, "paymentInformation": { "card": { "expirationYear": "2031", "number": "CARD_NUMBER", "securityCode": "123", "expirationMonth": "12", "type": "060" } }}{ "paymentInformation": { "bin": "968208", "issuer": "Al Bank Al Saudi Al Fransi", "binCountry": "SA", "cardBrand": "MADA", "cardType": "PREPAID" }, "paymentAccountInformation": { "card": { "currency": "SAR", "type": "060" } }, "orderInformation": { "amountDetails": { "currency": "SAR", "authorizedAmount": "100.00" } }, "processorInformation": { "approvalCode": "830SPG", "retrievalReferenceNumber": "334210123456", "cardVerification": { "resultCode": "M", "resultCodeRaw": "M" }, "responseCode": "00", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "settlementDate": "220915" }, "_links": { "self": { "method": "GET", "href": "/pts/v2/payments/7020303222541234567890" }, "refund": { "method": "POST", "href": "/pts/v2/payments/7020303222541234567890/refunds" } }, "clientReferenceInformation": { "code": "TC_SPG_BASIC-1" }, "consumerAuthenticationInformation": { "token": "abc" }, "reconciliationId": "7020303222541234567890", "status": "COMPLETED", "id": "7020303222541234567890", "submitTimeUtc": "2023-12-08T10:12:02Z"}Fiserv RapidConnect Example
{ "clientReferenceInformation": { "code": "123456789012", "reconciliationId": "000000050000773" }, "processingInformation": { "commerceIndicator": "internet", "capture": true }, "orderInformation": { "billTo": { "country": "US", "firstName": "John", "lastName": "Smith", "phoneNumber": "650-965-6111", "address1": "600 Morgan Falls Road", "postalCode": "94566-1234", "locality": "Atlanta", "administrativeArea": "MI", "email": "[email protected]" }, "amountDetails": { "totalAmount": "110", "currency": "USD" } }, "merchantInformation": { "merchantDescriptor": { "name": "Best Bakery" } }, "paymentInformation": { "tokenizedCard": { "expirationYear": "2030", "expirationMonth": "02" }, "instrumentIdentifier": { "id": "7018759999957811111" } }}{ "paymentInformation": { "bin": "411111", "issuer": "CONOTOXIA SP. Z O.O", "binCountry": "PL", "accountType": "Visa Classic", "cardBrand": "VISA", "cardType": "001", "instrumentIdentifier": { "id": "7018759999957811111", "state": "ACTIVE" } }, "submitTimeUtc": "2025-03-12T16:27:31Z", "_links": { "refund": { "href": "/pts/v2/payments/7417968511323232235535/refunds", "method": "POST" }, "void": { "href": "/pts/v2/payments/7417968511323232235535/voids", "method": "POST" }, "self": { "method": "GET", "href": "/pts/v2/payments/7417968511323232235535" } }, "processorInformation": { "approvalCode": "OK1272", "consumerAuthenticationResponse": { "code": "1", "codeRaw": "1" }, "responseCodeSource": "4", "networkTransactionId": "0014239537635196CN", "responseCode": "000" }, "clientReferenceInformation": { "code": "123456789012" }, "id": "7417968511323232235535", "orderInformation": { "amountDetails": { "authorizedAmount": "110.00" } }, "message": "Successful transaction.", "reconciliationId": "000000050000773", "status": "COMPLETED", "tokenInformation": { "instrumentIdentifierNew": false, "instrumentIdentifier": { "id": "7018759999957811111", "state": "ACTIVE" } }}Required Fields
Default Required Fields
| Field | Description |
|---|---|
clientReferenceInformation.transactionId | — |
orderInformation.amountDetails.currency | Vero supports Brazilian real (BRL) currency only. |
orderInformation.amountDetails.totalAmount | — |
orderInformation.billTo.address1 | — |
orderInformation.billTo.administrativeArea | — |
orderInformation.billTo.country | — |
orderInformation.billTo.email | — |
orderInformation.billTo.firstName | — |
orderInformation.billTo.lastName | — |
orderInformation.billTo.locality | — |
orderInformation.billTo.postalCode | — |
paymentInformation.card.expirationMonth | — |
paymentInformation.card.expirationYear | — |
paymentInformation.card.number | — |
processingInformation.capture | Set the value to true. |
Processor-Specific Fields
China UnionPay
paymentInformation.card.type: required for and China UnionPay.paymentInformation.card.useAs: required for China UnionPay.processingInformation.commerceIndicator: set the value tointernet.
eftpos
clientReferenceInformation.applicationUser: set the value toeftpos.clientReferenceInformation.codeclientReferenceInformation.partner.developerId: set the value toeftpos.clientReferenceInformation.partner.solutionId: set the value toCNP.consumerAuthenticationInformation.cavv: required for3-D Securetransactions when theECIvalue isocioroci_attempted.consumerAuthenticationInformation.directoryServerTransactionId: required for 3-D Secure transactions when the ECI value isocioroci_attempted.installmentInformation.paymentType: set the value to1for the registration or first transaction and2for subsequent transactions.paymentInformation.card.securityCode: required when the transaction is not a 3-D Secure transaction.processingInformation.authorizationOptions.initiator.credentialStoredOnFileprocessingInformation.authorizationOptions.initiator.storedCredentialUsedprocessingInformation.authorizationOptions.initiator.typeprocessingInformation.commerceIndicator: possible values:internet,recurring,install,oci,oci_attempted, andoci_failure. Set the value tointernetfor a standard sale.recurringPaymentInformation.type: set the value to1for registration or first transaction and2for subsequent transactions.
Fiserv RapidConnect
clientReferenceInformation.codeclientReferenceInformation.reconciliationIdorderInformation.billTo.phoneNumber
National Payment Gateway
clientReferenceInformation.codeconsumerAuthenticationInformation.acsReferenceNumber: required for 3-D Secure transactions.consumerAuthenticationInformation.acsTransactionId: required for 3-D Secure transactions.consumerAuthenticationInformation.authenticationDate: required for 3-D Secure transactions.consumerAuthenticationInformation.cavv: required for 3-D Secure transactions.consumerAuthenticationInformation.directoryServerTransactionId: required for 3-D Secure transactions.consumerAuthenticationInformation.dsReferenceNumber: required for 3-D Secure transactions.consumerAuthenticationInformation.paresStatus: required for 3-D Secure transactions. Set the value toY.consumerAuthenticationInformation.specificationVersion: required for 3-D Secure transactions. Set the value to2.merchantInformation.merchantDescriptor.localityorderInformation.amountDetails.currencyorderInformation.amountDetails.totalAmountpaymentInformation.card.expirationMonthpaymentInformation.card.expirationYearpaymentInformation.card.numberpaymentInformation.card.securityCodepaymentInformation.card.typeprocessingInformation.capture: set the value totrue.processingInformation.commerceIndicator: set the value to one of these:internet,moto,vbv,spa,mada.
paymentInformation.card.securityCode: required for .paymentInformation.card.type: required for .
Additional Required Fields for Specific Sale Transactions
Some types of sales transactions require additional fields. The need for these fields and their values depend upon the type of transaction, whether the transaction was initiated by the customer or the merchant, and whether 3-D Secure authentication is used in the transaction.
Pay as You Go First Transaction
The first transaction initiated by the customer:
processingInformation.commerceIndicator— Set the value tointernet,oci,oci_attempted, oroci_failure.processingInformation.authorizationOptions.initiator.type— Set the value tocustomer.processingInformation.authorizationOptions.initiator.credentialStoredOnFile— Set the value totrue.
The first transaction initiated by the merchant:
processingInformation.commerceIndicator— Set the value tointernet.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.processingInformation.authorizationOptions.initiator.credentialStoredOnFile— Set the value totrue.
Pay as You Go Subsequent Transaction
Pay as You Go subsequent transactions must include these additional fields in the sales transaction.
Initiated by the customer:
processingInformation.commerceIndicator— Set the value tointernet,oci,oci_attempted, oroci_failure.processingInformation.authorizationOptions.initiator.type— Set the value tocustomer.processingInformation.authorizationOptions.initiator.storedCredentialUsed— Set the value totrue.
Initiated by the merchant:
processingInformation.commerceIndicator— Set the value tointernet.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.processingInformation.authorizationOptions.initiator.storedCredentialUsed— Set the value totrue.
Recurring First or Registration Transaction
First or registration transactions must include these additional fields in the sales transaction. There are two sets of fields that can be used depending upon whether 3-D Secure authentication occurs with the transaction. Option 1 is the preferred set of fields to use.
First or registration transactions initiated by the customer: Option 1:
processingInformation.commerceIndicator— Set the value tointernet,oci,oci_attempted, oroci_failure.processingInformation.authorizationOptions.initiator.type— Set the value tocustomer.processingInformation.authorizationOptions.initiator.credentialStoredOnFile— Set the value totrue.recurringPaymentInformation.type— Set the value to1.
First or registration transactions initiated by the customer: Option 2 (3-D Secure authentication cannot be done):
processingInformation.commerceIndicator— Set the value torecurring.processingInformation.authorizationOptions.initiator.type— Set the value tocustomer.
Initiated by the merchant:
processingInformation.commerceIndicator— Set the value tointernet.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.processingInformation.authorizationOptions.initiator.credentialStoredOnFile— Set the value totrue.recurringPaymentInformation.type— Set the value to1.
Subsequent Recurring Transaction
Subsequent transactions must include these additional fields in the sales transaction. There are two sets of fields that can be used depending upon whether 3-D Secure authentication occurs with the transaction. Option 1 is the preferred set of fields to use.
Initiated by the merchant: Option 1:
processingInformation.commerceIndicator— Set the value tointernet.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.processingInformation.authorizationOptions.initiator.storedCredentialUsed— Set the value totrue. (optional)recurringPaymentInformation.type— Set the value to2.
Initiated by the merchant: Option 2:
processingInformation.commerceIndicator— Set the value torecurring.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.
First or Registration Installment Transaction
First installment or registration transactions must include these additional fields in the sales transaction. There are two sets of fields that can be used depending upon whether 3-D Secure authentication occurs with the transaction. Option 1 is the preferred set of fields to use.
The first or registration installment transaction initiated by the customer: Option 1:
processingInformation.commerceIndicator— Set the value tointernet,oci,oci_attempted, oroci_failure.processingInformation.authorizationOptions.initiator.type— Set the value tocustomer.processingInformation.authorizationOptions.initiator.credentialStoredOnFile— Set the value totrue.installmentInformation.paymentType— Set the value to1.
Initiated by the customer: Option 2 (3-D Secure authentication cannot be done):
processingInformation.commerceIndicator— Set the value toinstall.processingInformation.authorizationOptions.initiator.type— Set the value tocustomer.
The first or registration installment transaction initiated by the merchant:
processingInformation.commerceIndicator— Set the value tointernet.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.processingInformation.authorizationOptions.initiator.credentialStoredOnFile— Set the value totrue.installmentInformation.paymentType— Set the value to1.
Subsequent Installment Transaction
Subsequent installment transactions must include these additional fields in the sales transaction. There are two sets of fields that can be used depending upon whether 3-D Secure authentication occurs with the transaction. Option 1 is the preferred set of fields to use.
Initiated by the merchant: Option 1:
installmentInformation.paymentType— Set the value to2.processingInformation.commerceIndicator— Set the value tointernet.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.processingInformation.authorizationOptions.initiator.storedCredentialUsed— Set the value totrue. (optional)
Initiated by the merchant: Option 2:
processingInformation.commerceIndicator— Set the value toinstall.processingInformation.authorizationOptions.initiator.type— Set the value tomerchant.
Sale Bundled with Payer Authentication Enroll Service
When a customer is authenticated without a challenge, the transaction can be authorized either in the same request or in a separate authorization request. Whether authorization occurs in the same request or a separate request, the values from the check enrollment response must be passed to the authorization request to qualify for a liability shift. This section provides information on how to process a transaction combined with authentication of the cardholder that does not require additional authentication.
For more information about Payer Authentication, see the Payer Authentication Developer Guide.
Supported Processors
- eftpos
- National Payment Gateway
Examples
eftpos
{ "clientReferenceInformation": { "code": "4f967fde-8bf1-46d6-9a75-3b3485514cc6", "applicationName": "REST API", "applicationVersion": "1.0" }, "processingInformation": { "capture": "true", "actionList": [ "CONSUMER_AUTHENTICATION" ] }, "orderInformation": { "billTo": { "country": "US", "lastName": "Name", "address2": "Address 2", "address1": "1295 Charleston Rd", "postalCode": "94043", "locality": "San Francisco", "administrativeArea": "CA", "firstName": "Noreal", "phoneNumber": "4158880000", "district": "MI", "buildingNumber": "123", "company": "Visa", "email": "[email protected]" }, "amountDetails": { "totalAmount": "25", "currency": "aud" } }, "paymentInformation": { "card": { "expirationYear": "2027", "number": "CARD_NUMBER", "securityCode": "123", "expirationMonth": "12", "type": "070" } }, "consumerAuthenticationInformation": { "deviceChannel": "Browser", "acsWindowSize": "03", "strongAuthentication": { "transactionMode": "S" } }, "deviceInformation": { "userAgentBrowserValue": "chrome", "httpBrowserTimeDifference": "300", "httpBrowserScreenWidth": "100000", "httpBrowserScreenHeight": "100000", "httpBrowserLanguage": "en_us", "httpBrowserJavaScriptEnabled": "Y", "httpBrowserJavaEnabled": "N", "httpAcceptContent": "all", "httpBrowserColorDepth": "24", "ipAddress": "139.130.4.5", "httpAcceptBrowserValue": "test" }, "merchantInformation": { "merchantDescriptor": { "name": "Dusit LakeView Cairo", "administrativeArea": "TX", "country": "US" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/7448728340807102712431/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/7448728340807102712431" } }, "clientReferenceInformation": { "code": "4f967fde-8bf1-46d6-9a75-3b3485514cc6" }, "consumerAuthenticationInformation": { "eciRaw": "05", "authenticationTransactionId": "TmIn2Zebtm42nWjq1YJ1", "strongAuthentication": { "OutageExemptionIndicator": "0" }, "eci": "05", "token": "Axj//wSTk8vfEOjwJ0pvAMEs3aNHDdk4ZtGDhg3YsGTdiyaM2KbWNJ3KJRk2saTuUSEgycRPyhk2/+xcXIKJFCAlJyeXviHR4E6U3gAA2gLd", "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=", "paresStatus": "Y", "acsReferenceNumber": "CardinalACS", "xid": "AJkBBkhgQQAAAE4gSEJydQAAAAA=", "directoryServerTransactionId": "45f774ac-c3f1-4817-88c0-d3b570bf01d5", "veresEnrolled": "Y", "threeDSServerTransactionId": "d0d14efc-0a60-4721-9acd-351348666a70", "acsOperatorID": "MerchantACS", "ecommerceIndicator": "oci", "specificationVersion": "2.1.0", "acsTransactionId": "772b5bef-121c-4af4-9397-e4c4b34eb972" }, "id": "7448728340807102712431", "orderInformation": { "amountDetails": { "totalAmount": "25.00", "authorizedAmount": "25.00", "currency": "aud" } }, "paymentAccountInformation": { "card": { "brandName": "EFTPOS", "type": "070" } }, "paymentInformation": { "tokenizedCard": { "type": "070" }, "card": { "bin": "400000", "type": "070" } }, "processorInformation": { "systemTraceAuditNumber": "408128", "settlementDate": "0417", "retrievalReferenceNumber": "408128535506", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "responseCode": "00", "avs": { "code": "2" } }, "reconciliationId": "7448728340807102712431", "status": "AUTHORIZED", "submitTimeUtc": "2025-04-17T06:54:00Z"}National Payment Gateway
{ "clientReferenceInformation": { "code": "SPG_REQ_01" }, "consumerAuthenticationInformation": { "referenceId": "CybsCruiseTester-da287c74", "overrideCountryCode": "SA", "deviceChannel": "Browser", "challengeCode": "04" }, "processingInformation": { "actionList": [ "CONSUMER_AUTHENTICATION" ], "capture": true }, "orderInformation": { "billTo": { "firstName": "Abdullah", "lastName": "Muhammad", "phoneNumber": "01-4844094", "address2": "P.O.Box: 16335", "address1": "Al Dariyah Dist.", "postalCode": "22028", "email": "[email protected]" }, "amountDetails": { "totalAmount": "3001", "currency": "SAR" }, "invoiceDetails": { "purchaseOrderNumber": "PurchaseOrderNumber123" } }, "aggregatorInformation": { "subMerchant": { "id": "001" } }, "merchantInformation": { "categoryCode": 5411, "merchantDescriptor": { "country": "SA", "address1": "API Address", "postalCode": "12987-7318", "locality": "Riyadh", "name": "API Merchant-Name1" } }, "paymentInformation": { "card": { "expirationYear": "2031", "number": "CARD_NUMBER", "securityCode": "123", "expirationMonth": "12", "type": "060" } }}{ "paymentInformation": { "bin": "968208", "issuer": "Al Bank Al Saudi Al Fransi", "binCountry": "SA", "cardBrand": "MADA", "cardType": "PREPAID" }, "consumerAuthenticationInformation": { "challengeRequired": "N", "authenticationTransactionId": "rx39Q8ZN7aPE0bHxoSe1", "strongAuthentication": { "OutageExemptionIndicator": "0" }, "acsUrl": "https://1merchantacsstag.cardinalcommerce.com/MerchantACSWeb/creq.jsp", "acsReferenceNumber": "Cardinal ACS", "stepUpUrl": "https://centinelapistag.cardinalcommerce.com/V2/Cruise/StepUp", "pareq": "eyJtZXNzYWdl-short-example", "directoryServerTransactionId": "b435dda8-a2b0-490e-ae39-1b7e01d1dc4e", "veresEnrolled": "Y", "threeDSServerTransactionId": "0cd884bb-c8ef-4dfc-97e1-a78b741c42b8", "acsOperatorID": "MerchantACS", "specificationVersion": "2.2.0", "acsTransactionId": "1231149d-299b-4a64-ba89-3ab10e538b48" }, "embeddedActions": { "CONSUMER_AUTHENTICATION": { "reason": "CONSUMER_AUTHENTICATION_REQUIRED", "message": "The cardholder is enrolled in Payer Authentication. Please authenticate the cardholder before continuing with the transaction.", "status": "PENDING_AUTHENTICATION" } }, "submitTimeUtc": "2024-01-29T14:43:14Z", "id": "7065393947881234567890", "errorInformation": { "reason": "CONSUMER_AUTHENTICATION_REQUIRED", "message": "The cardholder is enrolled in Payer Authentication. Please authenticate the cardholder before continuing with the transaction." }, "status": "PENDING_AUTHENTICATION", "clientReferenceInformation": { "code": "TC_SPG_REQUEST_PB-159" }}Required Fields
These additional fields are required when processing a sale bundled with the Payer Authentication Enroll service on National Payment Gateway:
| Field | Description |
|---|---|
clientReferenceInformation.code | — |
consumerAuthenticationInformation.challengeCode | — |
consumerAuthenticationInformation.deviceChannel | — |
consumerAuthenticationInformation.overrideCountryCode | — |
consumerAuthenticationInformation.referenceId | — |
merchantInformation.merchantDescriptor.locality | — |
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
paymentInformation.card.expirationMonth | — |
paymentInformation.card.expirationYear | — |
paymentInformation.card.number | — |
paymentInformation.card.securityCode | — |
paymentInformation.card.type | — |
processingInformation.actionList | — |
processingInformation.capture | — |
Sale Bundled with Payer Authentication Validate Service
When a customer is authenticated after a challenge, the transaction can be authorized in the same request or in a separate authorization request. Whether authorization is combined with validation or occurs in a separate request, the values from the validation response must be passed to the authorization request to qualify for a liability shift to the issuing bank. This section provides information on how to process that type of transaction.
For more information about Payer Authentication, see the Payer Authentication Developer Guide.
Supported Processors
- eftpos
- National Payment Gateway
Examples
eftpos Example
{ "clientReferenceInformation": { "code": "4f967fde-8bf1-46d6-9a75-3b3485514cc6", "applicationName": "RESTAPI", "applicationVersion": "1.0" }, "processingInformation": { "capture": "true", "actionList": [ "VALIDATE_CONSUMER_AUTHENTICATION" ] }, "orderInformation": { "billTo": { "country": "US", "lastName": "Name", "address2": "Address2", "address1": "1295 Charleston Rd", "postalCode": "94043", "locality": "san francisco", "administrativeArea": "CA", "firstName": "Noreal", "phoneNumber": "4158880000", "district": "MI", "buildingNumber": "123", "company": "Visa", "email": "[email protected]" }, "amountDetails": { "totalAmount": "25", "currency": "aud" } }, "paymentInformation": { "card": { "expirationYear": "2027", "number": "CARD_NUMBER", "securityCode": "123", "expirationMonth": "12", "type": "070" } }, "consumerAuthenticationInformation": { "authenticationTransactionId": "DxPf2DBldd8mHaFWv9d1", "deviceChannel": "Browser" }, "merchantInformation": { "merchantDescriptor": { "name": "DusitLakeViewCairo", "administrativeArea": "TX", "country": "US" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/7448733951827103312431/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/7448733951827103312431" } }, "clientReferenceInformation": { "code": "4f967fde-8bf1-46d6-9a75-3b3485514cc6" }, "consumerAuthenticationInformation": { "indicator": "oci", "eciRaw": "05", "authenticationResult": "0", "strongAuthentication": { "OutageExemptionIndicator": "0" }, "authenticationStatusMsg": "Success", "eci": "05", "token": "Axj//wSTk8vzABpWHeovAMEs3aNHDdmzctWLhk3YsGbNiyaM2KbWNJ3W5Rk2saTutyEg ycRPzhk2/+xcXIKJFCApJyeX5gA0rDvUXgAA/AhZ", "cavv": "AAIBBYNoEwAAACcKhAJkdQAAAAA=", "paresStatus": "Y", "xid": "AAIBBYNoEwAAACcKhAJkdQAAAAA=", "directoryServerTransactionId": "6ed6067c-d76a-4a13-a8f2-b4fa2cb86aef", "threeDSServerTransactionId": "696c3af2-01f5-4211-8427-a927441b3241", "specificationVersion": "2.1.0", "acsTransactionId": "ea0e0dc4-772b-49b9-91d7-ffe259fa876a" }, "id": "7448733951827103312431", "orderInformation": { "amountDetails": { "totalAmount": "25.00", "authorizedAmount": "25.00", "currency": "aud" } }, "paymentAccountInformation": { "card": { "brandName": "EFTPOS", "type": "070" } }, "paymentInformation": { "tokenizedCard": { "type": "070" }, "card": { "bin": "400000", "type": "EFTPOS" } }, "processorInformation": { "systemTraceAuditNumber": "408133", "seblementDate": "0417", "retrievalReferenceNumber": "408133031607", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "responseCode": "00", "avs": { "code": "2" } }, "reconciliationId": "7448733951827103312431", "status": "AUTHORIZED", "submitTimeUtc": "2025-04-17T07:03:21Z"}National Payment Gateway Example
{ "clientReferenceInformation": { "code": "SPG_REQ_01" }, "consumerAuthenticationInformation": { "referenceId": "CybsCruiseTester-d47f8d5c", "overrideCountryCode": "SA", "deviceChannel": "Browser", "authenticationTransactionId": "8HuyDYiugte0I1RxiRU1", "challengeCode": "04" }, "processingInformation": { "actionList": [ "VALIDATE_CONSUMER_AUTHENTICATION" ], "capture": true }, "orderInformation": { "billTo": { "firstName": "Abdullah", "lastName": "Muhammad", "phoneNumber": "01-4844094", "address2": "P.O.Box: 16335", "address1": "Al Dariyah Dist.", "postalCode": "22028", "email": "[email protected]" }, "amountDetails": { "totalAmount": "3001", "currency": "SAR" }, "invoiceDetails": { "purchaseOrderNumber": "PurchaseOrderNumber123" } }, "aggregatorInformation": { "subMerchant": { "id": "001" } }, "merchantInformation": { "categoryCode": 5411, "merchantDescriptor": { "country": "SA", "address1": "API Address", "postalCode": "12987-7318", "locality": "Riyadh", "name": "API Merchant-Name1" } }, "paymentInformation": { "card": { "expirationYear": "2031", "number": "CARD_NUMBER", "securityCode": "123", "expirationMonth": "12", "type": "060" } }}{ "paymentInformation": { "bin": "968208", "issuer": "AlBankAlSaudiAlFransi", "binCountry": "SA", "cardBrand": "MADA", "cardType": "PREPAID" }, "consumerAuthenticationInformation": { "eciRaw": "05", "authenticationTransactionId": "fggOjcMXWKXFpxzAI0N1", "strongAuthentication": { "OutageExemptionIndicator": "0" }, "effectiveAuthenticationType": "FR", "authorizationPayload": "eyJjb250YWluZXJWZXJ-short-example", "eci": "05", "cavv": "AJkBBkhgQQAAAE4gSEJydQAAAAA=", "paresStatus": "Y", "acsReferenceNumber": "Cardinal ACS", "xid": "AJkBBkhgQQAAAE4gSEJydQAAAAA=", "directoryServerTransactionId": "e6a43429-7310-4ea1-b903-6a35941d9150", "veresEnrolled": "Y", "threeDSServerTransactionId": "827d03b1-e93b-4b81-9086-f0d257640e8b", "acsOperatorID": "MerchantACS", "ecommerceIndicator": "mada", "specificationVersion": "2.2.0", "acsTransactionId": "33c16320-5b5c-4569-9703-fb1a4c6f8858" }, "embeddedActions": { "CONSUMER_AUTHENTICATION": { "status": "AUTHENTICATION_SUCCESSFUL" } }, "paymentAccountInformation": { "card": { "currency": "SAR", "type": "060" } }, "orderInformation": { "amountDetails": { "currency": "SAR", "authorizedAmount": "100.00" } }, "processorInformation": { "approvalCode": "830SPG", "retrievalReferenceNumber": "333417123456", "cardVerification": { "resultCode": "M", "resultCodeRaw": "M" }, "responseCode": "00", "consumerAuthenticationResponse": { "code": "2", "codeRaw": "2" }, "settlementDate": "220915" }, "_links": { "self": { "method": "GET", "href": "/pts/v2/payments/7013657600822661348823" }, "refund": { "method": "POST", "href": "/pts/v2/payments/7013657600822661348823/refunds" } }, "clientReferenceInformation": { "code": "TC_SPG_REQUEST_PB-54" }, "consumerAuthenticationInformation": { "token": "abc" }, "reconciliationId": "7013657600822661348823", "status": "COMPLETED", "id": "7013657600822661348823", "submitTimeUtc": "2023-11-30T17:36:00Z"}Required Fields
These additional fields are required when processing a sale bundled with the Payer Authentication Validate service on National Payment Gateway:
| Field | Description |
|---|---|
clientReferenceInformation.code | — |
consumerAuthenticationInformation.authenticationTransactionId | — |
consumerAuthenticationInformation.challengeCode | — |
consumerAuthenticationInformation.deviceChannel | — |
consumerAuthenticationInformation.overrideCountryCode | — |
consumerAuthenticationInformation.referenceId | — |
merchantInformation.merchantDescriptor.locality | — |
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
paymentInformation.card.expirationMonth | — |
paymentInformation.card.expirationYear | — |
paymentInformation.card.number | — |
paymentInformation.card.securityCode | — |
paymentInformation.card.type | — |
processingInformation.actionList | — |
processingInformation.capture | — |
Thanks for your feedback!
Last published: September 29, 2026